Subject: bug#27997: pick a better buffer to fill the gap, not one I already see

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Mon, 07 Aug 2017 08:37:20 +0800

OK I killed a buffer, so a new one pops in to replace it.

Except sometimes the choice of the new one is quite embarrassing: it
picks a buffer I'm already looking at while at the same time ignoring a
better candidate.

$ emacs -Q /tmp/a /tmp/b /tmp/c
 C-x 1 [delete-other-windows]
 C-x 4 b [switch-to-buffer-other-window] # Smart enough not to prompt with the name of a buffer I already see. Good.
 <return> [minibuffer-complete-and-exit] # was prompted with "b", OK
 C-x k [kill-buffer]                     # was prompted with "b", OK
 <return> [minibuffer-complete-and-exit] # killed "b", OK, but...

Now I'm staring at two "c" buffers!
I would be better served by staring at "a" and "c" buffers.

So please when selecting a buffer to fill the gap,
again be smart enough not to show a buffer I already see.